VERSION 5.00
Begin VB.Form Integration 
   Caption         =   "Numer-Integration"
   ClientHeight    =   4230
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   4230
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows-Standard
   Begin VB.TextBox txtanzschr 
      Height          =   285
      Left            =   2400
      TabIndex        =   13
      Text            =   "anzschr"
      Top             =   2160
      Width           =   1215
   End
   Begin VB.ListBox Ausgabe 
      Height          =   645
      Left            =   120
      TabIndex        =   10
      Top             =   3360
      Width           =   2415
   End
   Begin VB.CommandButton cmdRechnen 
      Caption         =   "Berechnen"
      Height          =   375
      Left            =   2760
      TabIndex        =   9
      Top             =   2880
      Width           =   1215
   End
   Begin VB.TextBox txtaw 
      Height          =   285
      Left            =   120
      TabIndex        =   8
      Text            =   "aw"
      Top             =   2160
      Width           =   1215
   End
   Begin VB.TextBox txtog 
      Height          =   285
      Left            =   2520
      TabIndex        =   7
      Text            =   "og"
      Top             =   1320
      Width           =   1095
   End
   Begin VB.TextBox txtug 
      Height          =   285
      Left            =   120
      TabIndex        =   6
      Text            =   "ug"
      Top             =   1320
      Width           =   1095
   End
   Begin VB.Label Label10 
      Caption         =   "Runge-Kutta-4. Ord."
      Height          =   255
      Left            =   2640
      TabIndex        =   15
      Top             =   600
      Width           =   1575
   End
   Begin VB.Label Label9 
      Caption         =   "y'=-xy^2"
      Height          =   255
      Left            =   120
      TabIndex        =   14
      Top             =   600
      Width           =   1095
   End
   Begin VB.Label Label8 
      Caption         =   "Schrittanzahl"
      Height          =   255
      Left            =   2520
      TabIndex        =   12
      Top             =   1800
      Width           =   1095
   End
   Begin VB.Label Label7 
      Caption         =   "Ergebnis"
      Height          =   255
      Left            =   120
      TabIndex        =   11
      Top             =   3000
      Width           =   1695
   End
   Begin VB.Label Label6 
      Caption         =   "Obere Grenze"
      Height          =   255
      Left            =   2640
      TabIndex        =   5
      Top             =   960
      Width           =   1215
   End
   Begin VB.Label Label5 
      Caption         =   "Untere Grenze"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   960
      Width           =   1215
   End
   Begin VB.Label Label4 
      Caption         =   "Anfangswert"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   1800
      Width           =   1215
   End
   Begin VB.Label Label3 
      Caption         =   "Lsungsmethode"
      Height          =   255
      Left            =   2640
      TabIndex        =   2
      Top             =   240
      Width           =   1335
   End
   Begin VB.Label Label2 
      Caption         =   "Differentialgleichung"
      Height          =   255
      Left            =   0
      TabIndex        =   1
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label Label1 
      Caption         =   "Nuerische Lsung von Differnetialgleichungen"
      Height          =   255
      Left            =   240
      TabIndex        =   0
      Top             =   0
      Width           =   3495
   End
End
Attribute VB_Name = "Integration"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ********************************
'
' Numerische Lsung der DGL y'=-xy^2
' nach Runge-Kutta-4. Ordnung
' ********************************

Option Explicit
' Durch das Anklicken des Buttons Berechnen (cmdRechnen)
' startet die Berechnung
Private Sub cmdRechnen_Click()
    Dim x, y, dx, aw, anzschr, ug, og
    Dim k1, k2, k3, k4
        Me.AutoRedraw = True
    

AnzschrEingabe:
    anzschr = CDbl(txtanzschr.Text)
'Prfen, ob fr Anzahl ein Wert eingegeben wurde
    If Len(txtanzschr.Text) = 0 Then
       MsgBox Prompt:="Bitte Anzahl eingeben!", Buttons:=vbExclamation
       GoTo Ende
    End If
 If CDbl(txtanzschr.Text) > 100 Then
       MsgBox Prompt:="Bitte Anzahl < 100 eingeben!", Buttons:=vbExclamation
       GoTo Ende
    End If
ugEingabe:
    ug = CDbl(txtug.Text)
'Prfen, ob fr Anzahl ein Wert eingegeben wurde
    If Len(txtug.Text) = 0 Then
       MsgBox Prompt:="Bitte Anzahl eingeben!", Buttons:=vbExclamation
       GoTo Ende
    End If
ogEingabe:
    og = CDbl(txtog.Text)
'Prfen, ob fr Anzahl ein Wert eingegeben wurde
    If Len(txtog.Text) = 0 Then
       MsgBox Prompt:="Bitte Anzahl eingeben!", Buttons:=vbExclamation
       GoTo Ende
    End If
awEingabe:
    aw = CDbl(txtaw.Text)
'Prfen, ob fr Anzahl ein Wert eingegeben wurde
    If Len(txtaw.Text) = 0 Then
       MsgBox Prompt:="Bitte Anzahl eingeben!", Buttons:=vbExclamation
       GoTo Ende
    End If
dx = (og - ug) / anzschr
x = ug
y = aw
Do While x <= og
  k1 = dx * (-x * y ^ 2)
  k2 = dx * (-(x + dx / 2) * (y + k1 / 2) ^ 2)
  k3 = dx * (-(x + dx / 2) * (y + k2 / 2) ^ 2)
  k4 = dx * (-(x + dx) * (y + k3) ^ 2)
  y = y + (1 / 6) * (k1 + 2 * k2 + 2 * k3 + k4)
  x = x + dx
Loop
Ausgabe.AddItem Item:="x-Wert   " & Format(x - dx, "00.0") & "   y-Wert   " & y

Ende:

End Sub
' Beim Laden des Formulars werden die Textfelder mit
' Werten vorbelegt
Private Sub Form_Load()
    txtanzschr.Text = "0"
    txtug.Text = "0"
    txtog.Text = "0"
    txtaw.Text = "0"
   End Sub

' ********************* Ende des Programms *********************


